How to Migrate from Widgetkit 1

Widgetkit 2 has a new approach to widget management compared to Widgetkit 1. Content and widgets have been decoupled completely, which resulted in a new back end. That is why there is no possible upgrade path from Widgetkit 1.x to Widgetkit 2.

Unfortunately, it is also NOT possible to run both Widgetkit 1.x and 2 at the same time. You have to decide which version you want to use. If you are satisfied with Widgetkit 1.x, there is no need to move to the new version. If you start with a new site, we recommend using Widgetkit 2.

If you still want or need to migrate your content from Widgetkit 1.x to 2, a possible solution is to get a full dump of your current website on your local system. There you can remove Widgetkit 1, install the new version and recreate your widgets one by one. When you are done, you can update the online version with your prepared offline version. That way, you limit downtime of your live site to a minimum.

Migrate Widgetkit when using ZOO

When using Widgetkit with content coming from a ZOO installation, you might want to move to Widgetkit 2 as well. Before you upgrade, please check that all widget types you need are already available in Widgetkit 2. Note that you will need to recreate your Widgets. In order to allow all ZOO types, you can set up your own mapping from ZOO elements to Widgetkit content fields.

Documentation on Github

Help us out! If you are feeling that our documentation has errors or can be improved, fork it at Github and send us a pull request. Any contribution is much appreciated. Thank you!